---
updatedAt: 2025-05-19T20:20:09.000Z
agentTools:
  projectIndex: https://cogito.readme.io/llms.txt
---

# Get the in progress plan for the requesting user, if any

Get the in progress plan for the requesting user, if any.

<HTMLBlock>{`
<style>
  .rm-PlaygroundResponse,
  .Reference-section,
  .rm-TryIt{
      display: none;
  }
</style>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Cogito Notifications API Reference",
    "version": "1.0",
    "description": "API exposed from the Cogito Dialog Application Server\n",
    "contact": {
      "name": "Cogito Corporation",
      "email": "info@cogitocorp.com",
      "url": "https://cogitocorp.com"
    }
  },
  "paths": {
    "/api/plans/in-progress-for-user": {
      "get": {
        "tags": [
          "Plan"
        ],
        "summary": "Get the in progress plan for the requesting user, if any",
        "operationId": "getInProgressPlan",
        "description": "Get the in progress plan for the requesting user, if any.\n",
        "responses": {
          "200": {
            "$ref": "#/components/responses/GetPlanResponse"
          },
          "204": {
            "description": "No Content"
          },
          "401": {
            "description": "Unauthorized"
          },
          "404": {
            "description": "Not Found"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Plan": {
        "type": "object",
        "properties": {
          "planId": {
            "type": "integer",
            "format": "int32"
          },
          "startDate": {
            "type": "integer",
            "format": "int64",
            "description": "start date-time of the plan in ms past epoch (which is in UTC)",
            "example": 1633970885000
          },
          "endDate": {
            "type": "integer",
            "format": "int64",
            "description": "end date-time of the plan in ms past epoch (which is in UTC)",
            "example": 1634057285000
          },
          "actualEndDate": {
            "type": "integer",
            "format": "int64",
            "description": "actual end date-time of the plan in ms past epoch (which is in UTC)",
            "example": 1634057285000
          },
          "status": {
            "type": "string",
            "enum": [
              "InPlanning",
              "InPlanningGoalsGenerated",
              "InProgress",
              "Completed",
              "TerminatedEarly"
            ],
            "description": "status of the plan"
          },
          "owningSupervisorDoId": {
            "type": "integer",
            "format": "int32",
            "description": "DO ID of the supervisor that owns the plan",
            "example": 123
          },
          "userGoals": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/UserGoals"
            }
          }
        }
      },
      "NotificationType": {
        "type": "string",
        "enum": [
          "agentSlowToRespondAlert",
          "highSilenceAlert",
          "agentLowSpeakingRateAlert",
          "agentLowEnergyAlert",
          "agentContinuousSpeakingAlert",
          "extendedOverlapAlert",
          "highSpeakingRateAlert",
          "empathyCueAlert"
        ]
      },
      "Goal": {
        "type": "object",
        "properties": {
          "goalId": {
            "type": "integer",
            "format": "int32"
          },
          "notificationType": {
            "type": "string",
            "$ref": "#/components/schemas/NotificationType",
            "description": "notification type for which intensity is assigned"
          },
          "targetIntensity": {
            "type": "number",
            "format": "float",
            "description": "target average intensity",
            "example": 2.4
          }
        },
        "required": [
          "notificationType",
          "targetIntensity"
        ]
      },
      "UserGoals": {
        "type": "object",
        "properties": {
          "userId": {
            "type": "string"
          },
          "goals": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Goal"
            }
          }
        },
        "required": [
          "userId"
        ]
      }
    },
    "responses": {
      "GetPlanResponse": {
        "description": "plan",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Plan"
            },
            "examples": {
              "GetPlanExample": {
                "summary": "Get Plan Response Example",
                "value": {
                  "planId": 1,
                  "startDate": 2527286400000,
                  "endDate": 2529705600000,
                  "status": "InProgress"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```